Bug 11066 - pam_smbpass leaks memory in pam_sm_authenticate().
pam_smbpass leaks memory in pam_sm_authenticate().
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.1.15
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-22 09:30 UTC by Andreas Schneider
Modified: 2015-01-29 20:12 UTC (History)
3 users (show)

See Also:


Attachments
v4-2-test patch (1.33 KB, patch)
2015-01-23 09:25 UTC, Andreas Schneider
jra: review+
Details
v4-1-test patch (1.33 KB, patch)
2015-01-23 09:26 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2015-01-22 09:30:34 UTC
pam_smbpass leaks memory in pam_sm_authenticate(). It doesn't define a cleanup function to release the memory.
Comment 1 Andreas Schneider 2015-01-23 09:25:21 UTC
Created attachment 10653 [details]
v4-2-test patch
Comment 2 Andreas Schneider 2015-01-23 09:26:07 UTC
Created attachment 10654 [details]
v4-1-test patch
Comment 3 Jeremy Allison 2015-01-23 19:31:19 UTC
Comment on attachment 10653 [details]
v4-2-test patch

LGTM.
Comment 4 Jeremy Allison 2015-01-23 19:48:13 UTC
Comment on attachment 10654 [details]
v4-1-test patch

LGTM.
Comment 5 Jeremy Allison 2015-01-23 19:51:01 UTC
Re-assigning to Karolin for inclusion in 4.1.next, 4.2.0.
Comment 6 Karolin Seeger 2015-01-24 21:15:26 UTC
Pushed to autobuild-v4-[1|2]-test.
Comment 7 Karolin Seeger 2015-01-29 20:12:13 UTC
Pushed to both branches.
Closing out bug report.

Thanks!